# certbot

自动签发Let's Encrypt https免费证书，python实现

## Usage

apt源安装
```
apt install snapd
snap install --classic certbot
ln -s /snap/bin/certbot /usr/bin/certbot
```


二级泛域名：
```

certbot certonly --manual \
-d '*.b.exampple.com','example.com' \
--agree-tos \
--email domain@example.com \
--server https://acme-v02.api.letsencrypt.org/directory
```

三级泛域名：
```
certbot certonly --manual \
-d '*.b.exampple.com' \
--agree-tos \
--email domain@example.com \
--server https://acme-v02.api.letsencrypt.org/directory
```

nginx 检出域名签名：

```
certbot certonly --nginx
```

自动更新证书

```
0 3 15 */1 * /usr/bin/certbot renew --dry-run
```


